Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Public Member Functions | Static Public Member Functions | Protected Attributes | Static Protected Attributes | List of all members
ezpContentLocation Class Reference
Inheritance diagram for ezpContentLocation:

## Public Member Functions
| __get ( $property)

## Static Public Member Functions
static | fetchByNodeId ( $nodeId)
static | fromNode (eZContentObjectTreeNode $node)

## Protected Attributes
| $node

## Static Protected Attributes
static | $validNodeAttributes = array( 'node_id', 'path_string', 'name', 'url_alias', 'is_main', 'remote_id' )

## Detailed Description

Definition at line 21 of file content/location.php.

## Member Function Documentation

## ◆ __get()

ezpContentLocation::__get | ( |  | $property | ) |

Wrapper for node attributes

Definition at line 59 of file content/location.php.

## ◆ fetchByNodeId()

static ezpContentLocation::fetchByNodeId | ( |  | $nodeId | ) |
| static

Returns the ezpContentLocation object for a particular node by ID

Parameters

  int | $nodeId |

Returns
  ezpContentLocation

Exceptions

  ezcBaseException | When the node is not found

Definition at line 29 of file content/location.php.

References $node, and fromNode().

## ◆ fromNode()

static ezpContentLocation::fromNode | ( | eZContentObjectTreeNode | $node | ) |
| static

Returns the ezpContentLocation object for a particular node object

Parameters

  eZContentObjectTreeNode | $node |

Returns
  ezpContentLocation

Definition at line 48 of file content/location.php.

References $location, and $node.

Referenced by fetchByNodeId(), and ezpContent\fromNode().

## Member Data Documentation

## ◆ $node

ezpContentLocation::$node
| protected

Definition at line 67 of file content/location.php.

Referenced by fetchByNodeId(), and fromNode().

## ◆ $validNodeAttributes

ezpContentLocation::$validNodeAttributes = array( 'node_id', 'path_string', 'name', 'url_alias', 'is_main', 'remote_id' )
| static protected

Definition at line 69 of file content/location.php.

The documentation for this class was generated from the following file:

- content/location.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.